const express = require('express');
const api = require('./api');
const cors = require('cors');
const app = express();
app.use(cors());
  app.use(express.json());
  app.use(express.urlencoded());

app.get('/ping', (req, res) => {
    res.send('pong');
});

app.get('/', (req,res) => {
 api.readAll().then(data => res.send(data));
})

app.get('/:id', (req,res) => {
    api.readById(req.params.id).then(item => res.send(item));
})

app.post('/', (req,res) => {
   api.addUser(req.body).then(data => res.send(data));
})


app.put('/', (req,res) => {
    api.updateUser(req.body.id, req.body.prop, req.body.val).then(data => res.send(data));
 })

app.delete('/:id', (req,res) => {
    api.deleteUserById(req.params.id).then(data => res.send(data));
})


app.listen(3000, () => console.log(`SERVER LISTEN, PORT 3000`));
